!BAT
# IMPORTANT: This file MUST begin with !BAT

# PLEASE READ www.easy2boot.com for full details
# --- THIS FILE SHOULD BE COPIED to \_ISO\MyE2B.cfg and then edited to use
#      your own settings, change the language, Main heading, Footer, startup behaviour, etc.
#
# HELP USING THIS .CFG FILE
#   # this single # symbol comments out a line - these lines contain help or information
#   ### three # symbols means you can uncomment and use these lines - they contain grub4dos commands which can be used to change the E2B settings
#
#   e.g.
#       #  Auto menu      - this line should not be changed - do not delete the # symbol
#       ###set DEFM_MNU=0 - this line can be uncommented by deleting the ### symbols and then changed by the user if required

# If you wish, you can delete any whole line beginning with # or ### to make the file more legible

#       SUB-MENU HEADINGS are in the STRINGS.TXT files (different languages)
#       Menu entries and E2B phrases are also in the STRINGS.TXT file
#       DO NOT EDIT THE \_ISO\e2b\grub\ENG\STRINGS.TXT file - copy it to \_ISO\e2b\grub\FRED\STRINGS.TXT and use 'set LANG=FRED' in this file to use it
#       WARNING: If you have a \_ISO\STRINGS.txt file, this will over-ride any language setting

#  ----- GRAPHICS MODE AND WALLPAPER -----
# set graphics mode - use 640, or 800 or 1024 - or specify full mode - e.g. 800 600 24
# 640 and 800 is supported by the default background bitmap  - you can define exact size - e.g. GMODE=800 600  or  GMODE=800 -1 24:32 (800 by *anything* with 24 or 32-bit colour)
set GMODE=800

# The size of your background bmp must match the GMODE setting (e.g. use 1024x768 bitmap and set GMODE=1024)
# Change the path and filename below if you wish - .bmp and .bmp.gz supported
set MYWBMP=/_ISO/mybackground.bmp

#    --------- MAIN MENU HEADING -----
# start with \x20 if need leading spaces - %B64% is CPU type + Memory size - e.g. [486MB 64-bit]  %VER% is E2B version - e.g. 1.65
set HEADING=\x20 EASY2BOOT - MAIN MENU  (%VER%) %B64%
# set by HEADPOS + HPAD + HEADING - all menu headings affected (must be 4 decimal numbers)
# set position of HEADING as HEADPOS=YYXX  - default position = HEADPOS=0000 = top-left, 0200 = 3rd line down - should always end in 00 if you use CENTREHD=1
set HEADPOS=0000
# set space padding (alignment) before all menu headings - NORMALLY, NO NEED TO CHANGE THIS!
# this is usually automatically calculated by E2B from the rstart value (\x20 is same as one space character)
###set HPAD=\x20              \x20

# ----- CENTRE ALL MENU HEADINGS -----
# CENTREHD=xx causes the menu headings to be centred inside xx characters - e.g. if CENTREHD=60 then middle will be at (HPAD)+30
# If CENTREHD=1 then the menuw value (see below) is used to calculate the centre position - Use CENTREHD=1 for normal centred headings
# To centre headings on an 800 pixel screen width (not menu width) use  CENTREHD=98, HEADPOS=0100, HPAD=\x20\x20
### set CENTREHD=1

# ----- HEADING COLOUR -------
# HCOLOUR sets the colour of the HEADING and FOOTER TEXT text 
# HCOLOUR=ABCD specifies the text colour  [BLINK|BRIGHT_F|BACKGROUND|FOREGROUND]
# A=0-1  1=BLINK text (does not work under VM or in graphics mode) - i.e. only works if GFX=none is used.
# B=0-1  1=BRIGHT_F sets bright value for foreground text
# C=0-7   =BACKGROUND colour - transparent if graphics mode so has no effect!
# D=0-7   =FOREGROUND menu text colour
# Colours parameters are: 0=black/grey 1=blue, 2=green, 3=cyan, 4=red, 5=pink, 6=yellow/brown, 7=grey/white.
# e.g. 0133 is non-blinking bright cyan text (on a dark cyan background if not in graphics mode) - if a wallpaper is used (graphics mode) it becomes _1_3 = bright-cyan, because background value is ignored.
set HCOLOUR=0103

# --- FOOTER HELP TEXT TO DISPLAY AT BOTTOM OF SCREEN ---
# HBTM = Bottom HELPTEXT POSITION YYXX - for 640x480 use HBTM=2802 - for 800x600 use HBTM=3502  (Note: HPAD is NOT used to pad out the HELPTEXT). For GFX=none use HBTM=2400 or set >24 for off-screen.
set HBTM=3502
# Colour of HELPTEXT (see HCOLOUR above for meaning
set FCOLOUR=0103
# use \x20 for no text at the bottom of the menus - e.g. set HELPTEXT=\x20   (%^LANG% will display the current language)
set HELPTEXT=HDD0 [F7]   Back [F8]   Reboot [F9]   Power Off [F10]  (%^LANG%)


# -------- MENU COLOURS -------
# Colour pairs are Text/Background - i.e cyan/blue = cyan text on blue background
# Use black if a transparent background is required for menu highlight background - e.g. highlight=red/black
# Valid colours are: black, blue, green, cyan, red, magenta, brown, light-gray, dark-gray, light-blue, light-green, light-cyan, light-red, light-magenta, yellow and white.
#  normal    = normal menu text
#  highlight = highlighted menu text when a menu entry is selected
#  helptext  = the colour of the title help text shown just below the menu box
#  standard  = the console background and text colours (e.g. when listing files)
#  border    = the colour of the border of the menu box
# For GFX Boot menu, only color standard=xxxx/yyyy is valid (suggest use black background - e.g. color standard=cyan/black)
color normal=light-cyan/black highlight=red/cyan helptext=yellow/black standard=light-cyan/black border=light-gray/black

# -------- 24-BIT MENU COLOURS -------
# You can instead set a 24-bit full colour value using 0xRRGGBB, the value must be larger than 0xFF to work correctly however
# the background colour will be set to black (transparent in graphics mode menus) if number is >0xFF
# See http://www.rapidtables.com/web/color/RGB_Color.htm
# Red=0xFF0000   Green=0x00FF00   Blue=0x0100FF  (must be larger than FF so add 01 to red!), Yellow=0xFFFF00, White=0xffffff, Brown=0x994c00
# Examples:
### color normal=0x777700
### color highlight=yellow/light-gray ;; # use for yellow text on light-grey background - limited colours for highlight colour   
# OR...
### color highlight=0xFFFF00 ;; # yellow + background will be transparent
### color highlight=0x0022222200FFFF00  ;; # yellow + background will be 222222 (v. dark grey/black)
### color helptext=0xFFFFFF
### color standard=0x994c00
### color border=0xFF0000

# ----- MENU POSITION ---
# n = unchanged  (if wdspace or lnspace is not n then screen is cleared) - default for wdspace and lnspace is 0
# if using GFX=none for text mode and CENTREHD=1, set menuw=78 and rstart=2 to get centred menu headings
# Note: The grub4dos menu system allows 4 lines of menu help text + 1 line for it's own messages (e.g. default timeout)
# Therefore you need to leave space for 5 free lines of text under the menu (e.g. if tophelp=26, then lines 26,27,28,29 & 30 are used for help text)
# 800x600 = 100 characters (0-99) by 37 lines (0-36),  1024x768 = 128 characters (0-127) by 48 lines (0-47)
# word_spacing line_spacing border_width top_help number_of_items_in_menu top_start menu_width right_start_pos_of_menu
set wdspace=n
set lnspace=n
set bdwidth=1
set rstart=3
set menuw=62
set topstart=2
set noitems=24
# use tophelp = topstart + noitems  for menu help text just under menu box - for 640x480  noitems=18 tophelp=20 - for 800x600  noitems=24 tophelp=26
#set /a tophelp=%topstart% + %noitems%
set tophelp=26


# ---- SHOW FILE EXTENSIONS IN MENU ----
# Don't show file extensions in menu
set EXTOFF=1
# Show file extensions in menu
### set EXTOFF=

# --- NO USER PROMPT FOR .imgPTN FILES -----
# .imgPTN AUTO-RUN - if any .imgPTNxxx family is selected, switch partitions and display CSM menu with no user prompt
### set AUTOCSM=1


# --- BEEP WHEN MAIN MENU LOADS ----
# Beep when Main Menu loads, values 1, 2 or 3 only (only works if internal speaker fitted to system)
### set beep=3






# --------------------------------------- ADVANCED MENU SETTINGS ------------------------------------------------------------------------------
# DO NOT DELETE THE LINE ABOVE! - Settings below this next line will be used when using the E2B_Editor

# Tip: To permanently remove the grub4dos text at top of screen and grub4dos startup messages, run \_ISO\docs\patchme from the grub4dos console
# See http://www.easy2boot.com/configuring-e2b/mye2b-cfg/ - patching grub4dos

# --- GRUB4DOS 0.4.6 + USB DRIVERS ---
# \grldr is the grub4dos code that is loaded on booting. If you want to use v0.4.5c on boot-up then overwrite it. Use one of the files \_ISO\e2b\grub\grldr_045 or grldr_046
# Grub4Dos 0.4.6 has built in USB drivers and so it can bypass the BIOS USB code - useful if you have buggy BIOSes
# To ALWAYS use grub4dos 0.4.6 and initialise the USB drivers on start-up use GRUB_USB=Y
### set GRUB_USB=Y

# To ALWAYS switch to version 0.4.5 from \_ISO\e2b\grub\grldr_045
###set GRUB_USB=045

# To prevent E2B refusing to boot if partition 4 (hd0,3) is present, uncomment the two ### lines below - 
# WARNING: THIS WILL ERASE PTN #4 (hd0,3) ON THE E2B DRIVE EACH TIMe YOU BOOT!
###if exist (hd0,0)/_ISO/MyE2B.cfg partnew (hd0,3) 0 0 0 
###if exist (hd0,1)/_ISO/MyE2B.cfg partnew (hd0,3) 0 0 0 
# To always erase ptn 3 on boot, uncomment the two ### lines below - check ptn 3 is not used or you may delete a data partition on your E2B drive!
# WARNING: This will delete PTN #3 (hd0,2) on the E2B DRIVE
###if exist (hd0,0)/_ISO/MyE2B.cfg partnew (hd0,2) 0 0 0 
###if exist (hd0,1)/_ISO/MyE2B.cfg partnew (hd0,2) 0 0 0 

# ----- PROGRESS MESSAGE CONTROL ----
# Display background image and cursor immediately so startup messages are printed over the background (but screen won't scroll nicely if it gets full of text!)
### call Fn.70 3
# Set cursor off the screen so no text or cursor is seen for a while (cursor set to column 0  row 128!)
### call Fn.5 0 128
# Turn off cursor and splashimage until Main Menu is shown - useful if you have disabled startup messages and don't want the cursor character at the top of the screen!
###call Fn.70 0 ;; clear
# If you want to get rid of any earlier screen text use clear
### clear

#Examples (use ONE of the following lines by removing the ### characters)
# Use this line for a blank screen startup with no progress messages
# Tip: use patchme to prevent early grub4dos messages (see \_ISO\docs\PatchMe_ReadMe.txt)
###call Fn.70 0 ;; clear ;; call Fn.5 0 128 ;; set redirp=> nul ;; set redir=> nul
#
# Use this line to display the background image as early as possible with a few progress messages
###call Fn.70 3 ;; set redir=> nul 
#
# Use this line to display the background image as early as possible with no startup messages except an initial quick 'Please wait...' message
###call Fn.70 3 ;; set redir=> nul ;; set redirp=> nul ;; debug -1 ;; pause --wait=1 Please wait... ;; debug 0


# Silent MBR boot of stage 1.5 grub4dos (works for both 0.4.5c and 0.4.6) - one reboot is required for it to permanently take affect.
### if exist /_ISO/docs/PatchMyMBR call /_ISO/docs/PatchMyMBR > nul
# Silent startup of grub4dos - no diagnostic/info messages (only works for 0.4.6a by changing debug msg=2 to debug msg=0) - permanently changes /grldr files (please use \_ISO\docs\patchme for patch if not using 0.4.6)
### cat --locate=\x02 --replace=\x00 --skip=0x2073 --length=1 /grldr > nul
### if exist /%grub%/grldr_046 cat --locate=\x02 --replace=\x00 --skip=0x2073 --length=1 /%grub%/grldr_046 > nul

# ---- E2B STARTUP AND OTHER MESSAGES ----
# SUPPRESS STARTUP FILE ENUMERATION MESSAGES from AUTOMN.g4b, etc.
###set redir=> nul

# SUPPRESS OTHER (important) E2B MENU.LST PROGRESS MESSAGES (not recommended)
###set redirp=> nul

# Note: redir and redirp may affect the text displayed after a .imgPTN file is selected. Read more at http://www.easy2boot.com/configuring-e2b/mye2b-cfg/


# ---- MENU NUMBERING ----

# E.g. The user can type '23' to select item 23 in the menu and so it is useful to have the menu item numbers displayed on the menu.
# Auto-numbering is enabled by default.  AUTONUM=CCMM where CC is the marker character (byte) and MM is bit0 = numbering and bit1 = space after number, 
# Use AUTONUM=0x0000 to turn auto-numbering off, 0x2001 sets numbering on with a space after number (default), 0x2d01 autonumber with hyphen after number, 0x1a01 arrow, 0x3a01 colon, 0x0701 dot
# e.g. 0x2d00=►menutext, 0x2d01=►nn-menutext, 0x2d02=►   menutext (has three spaces), 0x2d03=same as 0x2d01   (where nn=two-characters for menu numbering 0-9/10-99)
###set AUTONUM=0x0000

# Normal highlighted menu marker is a solid greater-than symbol ► - it can be removed or changed  (0x16 for →, 0x07 for a dot or 0 for no symbol) grub4dos 2014-08 or later.
### write 0x8308 0 > nul

# ----------- DISABLE AUTOMENU feature -----------------
# E2B will allow you to press the first letter of a menu item to jump to it - grub4dos keys p, e, b and c keys will only work if SHIFT is held down
# AUTOMENU = OFF will disable the AUTOMENU jump feature and grub4dos p, e, b, c keys must be lower case (don't hold down SHIFT key)
###set AUTOMENU=OFF

# ---- GFX menu support ----
#If you really want to use a gfxmenu or @DED-LEGO@ or GFX-RIPPER then specify the 'message' file here - http://www.easy2boot.com/configuring-e2b/gfx-menu-support/
#There are many gfxmenu limitations (if error goes to text mode, no timeout or default option, number of ISOs cannot be displayed, etc. etc.)
#Place your gfxmenu file in the /_ISO folder. Change the GFX= line to match the name of your file
set GFX=
###set GFX=message

# ---- TEXT MODE (no fancy wallpaper and no unicode font used) ---
# NO GRAPHICS MODE OR WALLPAPER or GFXMenu
# Text-mode menu (no wallpaper) - suppresses graphics mode (must use 'GFX=none')
# Try these settings if using text mode - set HBTM=2301 set HCOLOUR=0104 set FCOLOUR=0104
# and use these text colours - color normal=light-cyan/dark-gray   highlight=red/cyan  helptext=yellow/light-gray  standard=light-cyan/black border=red/black
###set GFX=none

# ---- KEYBOARD TYPE -----
#set which keyboard you are using (use one only!) - see the KBD_xxxx.g4b files in the grub folder if you want to modify the key mapping
#Note: Passwords may not work properly if the keyboard scan code mapping is not correct! Default = US keyboard
###set KBD=KBD_AZERTY.g4b
###set KBD=KBD_FRENCH.g4b
###set KBD=KBD_GERMAN.g4b
###set KBD=KBD_ITALIANO.g4b
###set KBD=KBD_JAPAN_106.g4b
###set KBD=KBD_QWERTY_UK.g4b
###set KBD=KBD_QWERTZ.g4b
###set KBD=KBD_SPANISH.G4B
###set KBD=KBD_QWERTY_UK.g4b

# the next line ensures the correct keyboard scan codes will be recognised if using a non-USA keyboard (not required unless asking for password in this cfg file)
###if not "%KBD%"=="" call /%grub%/%KBD% %redirp%


# ---- LANGUAGE SUPPORT ----
# To change language from ENGlish, look for supported language folders in the \_ISO\e2b\grub\xxx folders
###if "%LANG%"=="" set LANG=ENG
###if "%LANG%"=="" set LANG=TRAD_CHINESE
###if "%LANG%"=="" set LANG=SIMP_CHINESE
###if "%LANG%"=="" set LANG=SPANISH
###if "%LANG%"=="" set LANG=POLISH
###if "%LANG%"=="" set LANG=GERMAN
###if "%LANG%"=="" set LANG=PORTU_BRAZIL
###if "%LANG%"=="" set LANG=ROMANIAN
###if "%LANG%"=="" set LANG=FRENCH
###if "%LANG%"=="" set LANG=ITALIAN
###if "%LANG%"=="" set LANG=ARABIC && set RTL=1
###if "%LANG%"=="" set LANG=SWEDISH

# ---- RTL for RIGHT-TO-LEFT LANGUAGES ----
# e.g Arabic. Uncomment first line below to right-align menu entries. RTL=1=menuw value - or set RTL=<number>  - e.g. 'set RTL=58' to adjust position of menu headings
### set RTL=1

# Use 'set CENTREHD=1' to centre headings if required. Use 'set AUTONUM=0' to turn off menu numbers and 'write 0x8308 0 > nul' to turn off menu marker arrow
### set AUTONUM=0
### write 0x8308 0 > nul


# Uncomment the following lines (remove ###) to ask user to choose a different language (edit as required)
# User Choice prompt before Main Menu is displayed - see \_ISO\e2b\grub folders for all available languages
###if not "%DONEMENU%"=="" goto :skplang
###echo CHOOSE A LANGUAGE
###echo
###echo C  = Chinese (Simplified)
###echo TC = Chinese (Traditional)
###echo E  = English
###echo G  = German
###echo S  = Spanish
###echo
###set /p ask=Which language : 
###if /i "%ask%"=="C" set LANG=SIMP_CHINESE
###if /i "%ask%"=="TC" set LANG=TRAD_CHINESE
###if /i "%ask%"=="G" set LANG=GERMAN
###if /i "%ask%"=="S" set LANG=SPANISH
###if /i "%ask%"=="E" set LANG=ENG
###:skplang


# ---- IF YOU ARE USING A REMOVABLE USB FLASH DRIVE (or are not going to use a 'Helper' USB flash drive) ---
# no need to search for WINHELPER.USB so set NOHELPER=1  (or use if E2B hangs at 'Looking for WINHELPER.USB...' )
###set NOHELPER=1


#   ---- PASSWORD PROTECTION -----

# E2B default menu edit password is easy2boot
#The line below will set a password of 'easy2boot' to stop users editing the menus accidentally (encrypted)
#You can use an encrypted md5 value or a plain text value (see www.easy2boot.com - Configure E2B - Protection and Security for md5 calculation details)
#If you want to edit the menus, press p and then enter the password (or you can use an unencrypted password like this: 'set pwd=fred')
#Does not work if using GFX Menu
#set encrypted password of easy2boot
set pwd=--md5 $1$1$okAQ3AJUdhqf3TVrwKvJP1
# OR set plain text password of fred
###set pwd=fred

# payload file extensions ending in "pwd", e.g. Ubuntu.isopwd, will ask for a password before they will run
# If menupwd is defined, then that will be the required password for the payload file
# If menupwd is not set then the pwd (E2B menu edit password) will be used (if set)
# e.g. if file = Ubuntu14.1.isopwd or Win7Install.imgPTNpwd  and menupwd=fred then you must enter fred before the payload will run
#      if both menupwd and pwd are not set, then no password will be prompted for
# Can use md5 encrypted password or plain text...
### set menupwd=--md5 $1$fzr3$gtBm4hqXA1CohTSpMsuxG1
### set menupwd=fred


# If you want to display a different background bitmap just for the Master password user input (see below), use these 3 lines below
###call Fn.70 3
###splashimage /_ISO/docs/Templates/Aliums/Aliums.bmp.gz > nul
###clear

# --- MASTER PASSWORD ---
# the next 2 lines are optional - it just changes the font immediately but can cause a delay whilst it loads  - ensure GMODE is set in the lines above
###graphicsmode -1 %GMODE% > nul
###font ()/%grub%/unifont.hex.gz

:mpwd
#If you want to set a Master password for Easy2Boot to prevent anyone from using it on first boot
#(e.g. 'fred') uncomment and edit the lines below (you can use password --md5 xxxxxxxx format if you wish)
###if exist DONEMENU goto :pok
###clear && echo && echo ENTER E2B MASTER PASSWORD
###debug 0
###password fred && goto :pok
###echo && set /a /p:2 ask=WRONG PASSWORD!
###goto :mpwd
:pok
###if not exist DONEMENU echo

#To reboot if the password is wrong, replace the line   goto :mpwd    with the grub4dos command     reboot

#This will cause MYWBMP background to be always loaded before displaying the Main Menu - use only if you enable FASTLOAD *AND* use splashimage for Master password as above
###set DONEMENU=

# --- MONTHLY PIN CODE ---
# The user must enter the "4 digit PIN code of the month"
# Windows PIN CALCULATOR app is available on request
# VARIABLES BELOW CAN AFFECT ACTIONS OF TP.g4b
# SEED - 4 digits - this is your special SEED number - default is 1985
# set number of allowed attempts - default is very large!
#
# SPECIAL OPTIONS: TESTPIN and PINRETURN
# set TESTPIN as first user guess or else user will be prompted for PIN code - if pin code is wrong, user will be prompted again (unless ATTEMPTS=1)
# if PINRETURN is set then call to TP.g4b will always return after n ATTEMPTS or on success. PINRETURN=OK if correct pin number was used.
# Typical use: Uncomment only the 6 ### lines, set ATTEMPTS and SEED. E2B Version line can be altered for any special message you like. Leave ##SS# lines alone.

###if not exist /%grub%/TP.g4b halt
###if exist DONEMENU goto :TPfin
###set SEED=1985
###set ATTEMPTS=3

##SS#set TESTPIN=8684
##SS#set PINRETURN=1

###echo E2B VERSION %VER% 
###call /%grub%/TP.g4b

##SS#if not "%PINRETURN%"=="OK" reboot
##SS#if "%PINRETURN%"=="OK" clear

:TPfin

# --- ENCRYPT FILES ---
#Tip: For even better security, use 7Zip to compress this file to GZip format or use lzma.exe (See www.easy2boot.com - Configure E2B - Protection and Security)
#     \_ISO\docs\E2B Utilities\LZMA has useful batch files to encrypt files
#     You must keep the file name unchanged (e.g. MyE2B.cfg) and can also set it's file attribute to 'Hidden' and 'System' or set permissions if NTFS E2B drive used.


# ---- SET AN EXPIRY DATE -----

# See http://www.rmprepusb.com/tutorials/grubutils#TOC-Another-Batch-file-example---use-checkdate.g4b-to-check-an-Expiry-Date
# change the 20151230 date below to alter the expiry date and change the message - you can use reboot instead of halt
###if 20151230>=%@date:~0,4%%@date:~5,2%%@date:~8,2% pause --wait=3 THIS SOFTWARE HAS EXPIRED! && halt

# only allow on weekdays
### call /%grub%/dow.g4b %@date:~0,4% %@date:~5,2% %@date:~8,2% 
### if "%dow%"=="0" pause It's Sunday! && halt
### if "%dow%"=="6" pause It's Saturday! && halt
### set dow=


# --- MENU CONFIGURATION ----

# set the Default menu entry that will be highlighted when the WINDOWS INSTALL MENU is displayed
###set  DEFM_WIN=1

# If DEFMENU=0 then the '0 Set default menu entry and timeout' menu item in the Main menu will not be listed
### set DEFMENU=0

# WINCOUNT variable will cause all the \_ISO\Windows ISOs to always be counted on a FASTLOAD boot - you only need this if you have a special $$$$.mnu background menu file in \_ISO\MAINMENU\$$$$CONFIG
# see www.easy2boot.com/configuring-e2b/multiple-backgrounds/ for details
### set WINCOUNT=1

# If NOF7HD is set then the 'Boot from HDD0 F7' menu entry is suppressed in all menus
### set NOF7HD=1

# If the NOF8B is set then the Windows menu will not display 'F8 Back to Main Menu' 
### set NOF8B=1

# if NOF8MAIN is set then no F8 Main menu entry will be available
### set NOF8MAIN=1

# If NOF9R is set then the 'F9 Reboot menu' item will not be listed in any menu (remember to change HELPTEXT too)
### set NOF9R=1

# If NOF10H is set then the 'F10 Power Off/Halt' menu item will not be listed in any menu (remember to change HELPTEXT too)
### set NOF10H=1

# NO FASTLOAD MENU - If you don't want the user to see the Main Menu entry to enable or disable FASTLOAD
### set NOFLDMNU=1

# NOWMENU causes a Windows Install sub-sub menu to return back to the Main menu rather than return to the Windows Install menu
### set NOWMENU=1

# NOWINMAIN cause the Windows Main Menu entry to be suppressed (even if there are \_ISO\WINDOWS\xxx\yyy.ISO files present
### set NOWINMAIN=1

# SET DEFAULT MAINMENU ITEM AND TIMEOUT
# Information: Create an \_ISO\menu_defaults.txt file
# This will fix which initial main menu default entry will be highlighted and the timeout in seconds.
# You must also set DEFMENU to suppress the 'Set default menu entry and timeout' menu entry
# e.g. use these 3 lines in the menu_defaults.txt file for the first menu item as default and no timeout - remove the # signs
# fix the default entry and timeout (debug 0 prevents menu item number at top right from being displayed) 
# DO NOT UNCOMMENT THE LINES BELOW! They should not be set in this file!
#   default 0
#   timeout -1
#   debug 0

# --- CHARACTER SET FONTS ----

# Font settings - specify alternate unifont hex file which is loaded after the E2B unifont file is loaded - many fonts are in /_ISO/docs/Fonts/ folder
# Special non-ANSI characters are not included, so only suitable for English language really
###set FONT=()/_ISO/docs/Fonts/terminus.uni.gz

# Use Default BIOS Font (tends to be thick+bold for standard ASCII characters)
###set BIOSFONT=1

# If NOUNIFONT=1 then the standard E2B unifont font file is not loaded (to save time) but only ANSII characters will be displayed
# You can then delete the 1MB \_ISO\e2b\grub\unifont.hex.gz file and the \_ISO\docs\Fonts folder if you wish
### set NOUNIFONT=1


# ---- DEFINE GLOBAL HOTKEYS (for all menus) ------

# See http://www.easy2boot.com/configuring-e2b/global-hotkeys/

# Set global hotkey CTRL+R for FASTLOAD Refresh - only defined if /FASTLOAD.YES is present
### if exist (bd)/FASTLOAD.YES ()/%grub%/hotkey [Ctrl+R] "clear && echo REFRESH > /FASTLOAD.YES && configfile /%grub%/menu.lst" > nul

# Program hotkeys to work in ALL menus - no separate menu entry is required. Some examples shown below
# add global hotkeys - examples only - use ;; or ;& or && to separate commands
### ()/%grub%/hotkey [F9] "reboot" > nul
### ()/%grub%/hotkey [F10] "halt" > nul
### ()/%grub%/hotkey [Ctrl+F9] "clear && echo \nLoading Windows menu... && /%grub%/configX.g4b /%grub%/MenuWinInstall.lst" > nul
### ()/%grub%/hotkey [ctrl+F7] "clear && echo $[0004] \n\nPress a key to reboot\n && pause && reboot" > nul

# F11 boots to an ISO
### ()/%grub%/hotkey [F11] "(bd)/%grub%/qrun.g4b force.isodefault  /_ISO/Linux/Ubuntu.iso ;; boot" > nul

# F8 will always reload Main Menu (quick)
### ()/%grub%/hotkey [F8] "set MFOLDER=/_ISO/MAINMENU && configfile (md)0xa000+0x50" > nul
# or F8 will re-enumerate all files and load Main Menu
### ()/%grub%/hotkey [F8] "configfile (bd)/%grub%/menu.lst" > nul

# F7 to boot from internal HDD
### ()/%grub%/hotkey [F7] "map (hd0) (hd1) && map (hd1) (hd0) && map --hook && chainloader (hd0)+1 && rootnoverify (hd0) && boot" > nul

# Make the F1 key show the Help Menu from any menu (uncomment 3 lines below) - you can put your own help file in \_ISO\F1.cfg
###if exist /_ISO/F1.cfg   ()/%grub%/hotkey [F1] "configfile /_ISO/F1.cfg" > nul && goto :f1skp
###if exist /%grub%/%LANG%/F1.cfg ()/%grub%/hotkey [F1] "configfile /%grub%/%LANG%/F1.cfg" > nul && goto :f1skp
###if exist /%grub%/ENG/F1.cfg ()/%grub%/hotkey [F1] "configfile /%grub%/ENG/F1.cfg" > nul
:f1skp

# Don't display the F1 HELP entry in the Main menu
### set NOF1=1

# clear only one global hotkey setting (can be used in .mnu files or .hdr and .lst files)
# e.g. clear F9 global hotkey
### ()/%grub%/hotkey [F9] > nul

# clear all global hotkeys and reload the hotkey program (only really useful in other menus - e.g. in $$$CONFIG\CONFIG.mnu files) 
### ()/%grub%/hotkey -u > nul && ()/%grub%/hotkey -A > nul



# ----   OTHER SETTINGS ----
# XP ISO UNATTEND.TXT SUPPORT - if PICKAUTO is set then user will be asked to select \_ISO\WINDOWS\XP\*.AUTO files for Unattend.txt\Winnt.sif selection
# see http://www.easy2boot.com/add-payload-files/windows-install-isos/unattended-installs/
# .SIF file must have OemPreinstall=No or will get 'missing file' errors
### set PICKAUTO=YES

# ---- ZALMAN HDD -----
# If file extension is .ISO, then ask user how to run it (e.g. run as if .ISOPE or .ISOWINVH, etc.)
# Use if you have a Zalman Virtual CD USB HDD caddy and you want to keep all .iso files as .iso (tip: use a .txt file with a help entry to remind you which one works best!)
### set ISOASK=1

# --- MENU SORTING ---
#Turn off alphabetical sorting of menu entries (speeds up enumeration of menus slightly) - note multiple wallpapers won't work if you set this!
###set NOSORT=1

# --- CHECK BIOS FOR 137GB BUG ---
#Do not check the BIOS to see if it has the >137GB USB disk access bug (e.g. as found on some Asus EeePCs) Tip: try formatting the drive using RMPrepUSB first!
###set CHECKBIOS=

#  ----- REDUCE MEMORY USAGE -----
#This disables the loading of batch file modules into memory for faster execution (so MOD=1 may slower - not recommended)
#if too many files or variables cause grub4dos to crash then uncomment the next line
###set MOD=1

# --- DEBUG MODE - 
# displays boot timings just before Main Menu is displayed - use for diagnosing/measuring slow boot times (can also press ! key during boot to show times)
### set SHOWTIME=1
# always pause after menu file enumeration - Note: instead of using ENUMWAIT, just press the SPACEBAR during file enumeration and it will pause before it displays the menu
### set ENUMWAIT=1

# --- PROMPT USER FOR FASTER BOOT ----
# Add 3 lines below to prompt for faster boot option (for BIOSes with poorly-written and slow USB drivers) (will need to adjust menu size)
###set ask=
###if not exist DONEMENU set /p:3 ask=Speed up booting (no wallpaper or unifont not loaded) (Y/N) : 
###if not exist DONEMENU if /i "%ask%"=="Y" set NOUNIFONT=1 && set GFX=none




